Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.cache
Class AttributedExpireableCache

    java.lang.Object
      java.lang.Thread
          com.knowgate.cache.ExpireableCache
              com.knowgate.cache.AttributedExpireableCache

All Implemented Interfaces:
  java.lang.Runnable

    public class AttributedExpireableCache

extends ExpireableCache

AttributedExpireableCache.java Created: Tue Apr 25 14:57:22 2000

Nested Class Summary

Nested classes/interfaces inherited from class com.knowgate.cache.ExpireableCache
`ExpireableCache.MyHeap`

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected java.util.Hashtable` | `attributes`

Fields inherited from class com.knowgate.cache.ExpireableCache
`cache, capacity, expire_factor, hits, max_keep_alive, misses, shutdown, timestamps`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AttributedExpireableCache(int capacity)`
`AttributedExpireableCache(int capacity, float expire_factor)`

Method Summary
`java.lang.Object` | `getAttributes(java.lang.Object key)`
`void` | `put(java.lang.Object id, java.lang.Object object, java.lang.Object attribs)`
`void` | `remove(java.lang.Object key)`

Methods inherited from class com.knowgate.cache.ExpireableCache
`expireOver, get, getCapacity, getHits, getMisses, getUsage, hit, miss, put, run, setCapacity, shutdown`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attributes

    protected java.util.Hashtable attributes

Constructor Detail

### AttributedExpireableCache

    public AttributedExpireableCache(int capacity,
                                     float expire_factor)

### AttributedExpireableCache

    public AttributedExpireableCache(int capacity)

Method Detail

### put

    public void put(java.lang.Object id,
                    java.lang.Object object,
                    java.lang.Object attribs)

### getAttributes

    public java.lang.Object getAttributes(java.lang.Object key)

### remove

    public void remove(java.lang.Object key)

  Overrides:
    `remove` in class `ExpireableCache`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD